const navbar = document.querySelector('#stikyNav');
//let top = navbar.offsetTop;
function stickynavbar() {
  if (window.scrollY >= 200) {    
    navbar.classList.add('sticky');
  } else {
    navbar.classList.remove('sticky');    
  }
}
  window.addEventListener('scroll', stickynavbar);


  $('.counter-count').each(function () {
    $(this).prop('Counter',0).animate({
        Counter: $(this).text()
    }, {
        duration: 5000,
        easing: 'swing',
        step: function (now) {
            $(this).text(Math.ceil(now));
        }
    });
});



$(document).ready(function(){
    
    $('#clickTop').hide();
    
    //Check to see if the window is top if not then display button
    
    $(window).scroll(function(){
        if ($(this).scrollTop() > 300) {
            $('#clickTop').fadeIn();
        } else {
            $('#clickTop').fadeOut();
        }
    });
    
    //Click event to scroll to top
    
    $('#clickTop').click(function(){
        $('html, body').animate({scrollTop : 0},500);
        return false;
    });
    
});



const counters = document.querySelectorAll(".counter");

counters.forEach((counter) => {
  counter.innerText = "0";
  const updateCounter = () => {
    const target = +counter.getAttribute("data-target");
    const count = +counter.innerText;
    const increment = target / 200;
    if (count < target) {
      counter.innerText = `${Math.ceil(count + increment)}`;
      setTimeout(updateCounter, 1);
    } else counter.innerText = target;
  };
  updateCounter();
});


$('#owl-carousel').owlCarousel({
    loop: true,
    margin: 30,
    dots: true,
    nav: false,
    items: 3,
})

$('#blog_owl-carousel').owlCarousel({
    loop: true,
    margin: 30,
    dots: true,
    nav: false,
    items: 3,
    autoplay: true,
    responsive:{
      0:{
          items:1,
         
      },
      767:{
          items:1,
         
      },
      991:{
          items:1,
          
      },

      992:{
          items:2,
          
      },

      1200:{
          items:2,
          
      },
      
      1366:{
          items:3,
         
      },
      1920:{
          items:3,
          
      }
  }
})

$('#client_owl-carousel').owlCarousel({
    loop: true,
    margin: 30,
    dots: false,
    nav: false,
    items: 5,
    autoplay: true,
    
    responsive:{
      0:{
          items:2,
         
      },
      767:{
          items:2,
         
      },
      991:{
          items:3,
          
      },

      992:{
          items:4,
          
      },

      1200:{
          items:4,
          
      },
      
      1366:{
          items:5,
         
      },
      1920:{
          items:5,
          
      }
  }
})



$(".burger-menu ").on("click",".bar",function(){
  
    $(".menu").slideToggle();
    $(".bar").toggleClass('change');
    $(".menu li").slideRight();
  
   });
  
  